

/* Subscript */

class StringSet {
   var container = [Int:String]()
   
   subscript(index:Int) -> String? {
      get {
         return container[index]
      }
      set {
         container[index] = newValue
      }
   }
   
   subscript(row:Int, column:Int) -> String? {   // Subscript Overloading
      return container[row*10 + column]
   }
   // subscript can take any number of any type parameter, and return any type of value
   
   subscript(msg:String) -> String? {   // Subscript Overloading
      return "Message is \(msg)"
   }
}

var s = StringSet()
s[10] = "world"
s[10]
s[10]!

s[2,4] // calling getter
//s[2,1] = "hello"  // Error: This subscript doesn't have setter

s["Hello"]










