
/* Control Flows -- Loop and Switch */

for i in 1...5 {
   print("\(i)")  // 1 2 3 4 5
}


for i in 1...5 {
   if i==3 {
      //continue
      break
   }
   print("\(i)")
}

for i in 1..<5 {  print("\(i)") }  // 1 2 3 4

for _ in 1..<5 { print("Hello")  }


// While loop
var i = 0
while i<5 {
   i += 1;
}

// Do-while loop
repeat {
   i -= 1;
} while i>0







// Labeled Statement
outloop: for i in 1...5 {
   for j in 1...5 {
      if j == 3 {
         //break outloop
         //break outloop
         //continue
         continue outloop
      }
      print("one loop")
   }
}





















// Switch
i = 20; let v = 16
switch i {
case 1:  print("i is 1")
case 2:  print("i is 2")
case 3,4,9:  print("i is 3,4,9")
case 10...15:  print("i is 10...15")
case v: print("i is \(v)")
default: print("Others") // Must be exhaustive
}


// Tuple matching
let x = (23, "Bob")

switch x {
case (23, "Bob"): print("It is Bob"); fallthrough
case(_, "Bob"): print("It is Bob 2")  // No fall through
case(0...16, "Bob"): print("It is young Bob")
case(0...16, _): print("It is a young person")
default: print("unknown")
}











// Value binding
let low = 10
switch x {
case (let age, "Bob"): print("It is Bob of age \(age)")
case (23, let name): print("It is \(name) of age 23")
case (low...16, let name): print("It is teenage \(name)")
default: print("unknown")
}

// Where clause
switch x {
case (let age, "Bob") where (age == 23): print("match")
case (let age, "Bob") where (age % 2 == 1):
   print("It is odd age Bob")
default: print("unknown")
}


















